Set-Location $PSScriptRoot
.("..\AOFLibrary\AOFLibrary.ps1")

$gpus = Get-GPUs

$json = $gpus | ConvertTo-Json -Depth 4

if($gpus.Count -gt 1)
{
    Write-Output $json
}
elseif($gpus.Count -eq 1)
{
    Write-Host "[ $json ]"
}
else
{
    # empty
}
